Bug 466108 - Screen resolution not recognized/kept when set with System Settings -> Display in a VMware WS V6.5 Guest
Screen resolution not recognized/kept when set with System Settings -> Displa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vmware (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-08 08:38 EDT by Arnold Sutter
Modified: 2009-12-18 01:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:31:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log File (20.54 KB, text/plain)
2008-10-09 06:43 EDT, Arnold Sutter
no flags Details

  None (edit)
Description Arnold Sutter 2008-10-08 08:38:07 EDT
Description of problem:

I have an F10 Beta (x86_64) Installation in a VMware WS V6.5 Guest (Host is an Fedora 8 System). The Notebook has a resolution of 1680x1050. Now in an X Session (both KDE and possibly Gnome), the resolution stays at 800x600 until "System Settings -> Display" is called. Only then it is changing to 1680x1050 (which has been previously set by this utility). 

Version-Release number of selected component (if applicable): F10, Beta


How reproducible:
See above. The VMware WS is configured with a single 1680x1050 Display for the guest. 

Steps to Reproduce:
Every time a new X-Session is started.
  
Actual results:
Resolution stays at 800x600 until System Settings -> Display is called (there is no system-config-display anymore). Where is the default display size stored when there is no /etc/X11/xorg.conf as in my case?). 

Expected results:
Resolution is set to 1680x1050.

Additional info:
Comment 1 Matěj Cepl 2008-10-09 05:07:56 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Arnold Sutter 2008-10-09 06:43:46 EDT
Created attachment 319849 [details]
Xorg.0.log File

Hi Matej, 

please find the requested log file attached. Note that I don't have an /etc/X11/xorg.conf file and I would not know how to create one. 

Again, when running the "Resize & Rotate" Widget, the Screen resolution changes to the requested value. This happens also, when the widget is in the system tray. 

Please feel free to request additional info any time.

Thanks & best Regards, 

Arnold
Comment 3 Bug Zapper 2008-11-25 22:39:27 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-11-18 03:31:52 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:31:47 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.